Jump to content
TNG Community
Sign in to follow this  
eFFemeer

Hanging on "set permissions"

Recommended Posts

eFFemeer

I had TNG installed and working properly on a Synology RS 815 NAS. But after a reset of the server, I can't get TNG reinstalled. The data base is still existent. PHP and html seem to work fine (e.g. on Mediawiki). When I try to install a new instance of TNG, I get Please wait, attempting to process.. on "Set permissions" followed by the message in annex. Does anyone know what might be the cause?  "Set permissions" has no influence on the database or am I wrong?

Untitled-1.jpg

image.png

Share this post


Link to post
Share on other sites
Chris Lloyd

Did your upgrade make a change to the PHP version?

Share this post


Link to post
Share on other sites
eFFemeer

Thank you for your reaction. I  had to reinstall PHP 7.3, 7.2, 7.0 and 5.6   

PHP seemed to work properly in other apps (Mediawiki, Legacy).     

but  was missing a few SQL oriented extensions.

Thanks for assistance!

      

Share this post


Link to post
Share on other sites
Rod
On 1/29/2020 at 3:21 AM, Chris Lloyd said:

Did your upgrade make a change to the PHP version?

Does having a newer version of php make a difference on this?

The reason I ask is because I had tng v11.01 installed and running correctly on ubuntu server 16.04 with php v7.0 installed. 

My computer died and I had to get a new one.  The new one is Ubuntu Server 20.04 with php v7.4.3 and I get the same problem as the original poster. 

If I were to revert to php v7.0 , would that fix the problem?

Share this post


Link to post
Share on other sites
Rod
9 minutes ago, Rod said:

Does having a newer version of php make a difference on this?

The reason I ask is because I had tng v11.01 installed and running correctly on ubuntu server 16.04 with php v7.0 installed. 

My computer died and I had to get a new one.  The new one is Ubuntu Server 20.04 with php v7.4.3 and I get the same problem as the original poster. 

If I were to revert to php v7.0 , would that fix the problem?

After doing some more searching here, I found the problem:  my version of TNG (11.01) works with a max version of php 7.0.

https://tng.lythgoes.net/wiki/index.php?title=TNG_versions

So, I have two choices:  either revert my php to 7.0 or purchese TNG 13.

Consider this case closed.  Thanks to posters in this community!

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×